server:
  port: 8080

spring:
  datasource:
    url: jdbc:postgresql://localhost:5432/${DATABASE:my_bank}
    username: ${DATABASE_USER:admin}
    password: ${DATABASE_PASSWORD:admin}
    driver-class-name: org.postgresql.Driver
  jpa:
    hibernate:
      ddl-auto: update
    show-sql: false
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQLDialect
  sql:
    init:
      mode: always
